NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::AME::SymbolAnnotationBuilder Class Reference

Represents a Symbol Annotation creation class Builder
To create a new instance of this class, use NXOpen::AME::AMEManager::CreateSymbolAnnotationBuilder

Created in NX12.0.0. More...

Inheritance diagram for NXOpen::AME::SymbolAnnotationBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Anchor {
  AnchorTopLeft, AnchorTopCenter, AnchorTopRight, AnchorMiddleLeft,
  AnchorMiddleCenter, AnchorMiddleRight, AnchorBottomLeft, AnchorBottomCenter,
  AnchorBottomRight
}
 Represents anchor of annotation. More...
 
enum  Orientation { OrientationHorizontal, OrientationVertical }
 Represents orientation of annotation. More...
 

Public Member Functions

void AddCheckedAttribute (const NXString &propertyName, NXOpen::NXObject *propertyReference)
 Add the checked attribute. More...
 
void AddCheckedAttribute (const char *propertyName, NXOpen::NXObject *propertyReference)
 Add the checked attribute. More...
 
NXOpen::Point2d AnchorPointLocation ()
 Returns the symbol anchor point
Created in NX12.0.0. More...
 
void ResetPropertyList ()
 Reset the property list. More...
 
void SetSymbolAnnotationAnchor (NXOpen::AME::SymbolAnnotationBuilder::Anchor anchor)
 Sets the anchor
Created in NX12.0.0. More...
 
void SetSymbolAnnotationOrientation (NXOpen::AME::SymbolAnnotationBuilder::Orientation orientation)
 Sets the orientation
Created in NX12.0.0. More...
 
void SetSymbolAnnotationPoint (const NXOpen::Point2d &symbolAnnotationPoint)
 Sets the symbol annotation point
Created in NX12.0.0. More...
 
NXOpen::AME::SymbolAnnotationBuilder::Anchor SymbolAnnotationAnchor ()
 Returns the anchor
Created in NX12.0.0. More...
 
NXOpen::AME::SymbolAnnotationBuilder::Orientation SymbolAnnotationOrientation ()
 Returns the orientation
Created in NX12.0.0. More...
 
NXOpen::Point2d SymbolAnnotationPoint ()
 Returns the symbol annotation point
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Symbol Annotation creation class Builder
To create a new instance of this class, use NXOpen::AME::AMEManager::CreateSymbolAnnotationBuilder

Created in NX12.0.0.


Member Enumeration Documentation

Represents anchor of annotation.

Enumerator
AnchorTopLeft 

top left

AnchorTopCenter 

top center

AnchorTopRight 

top right

AnchorMiddleLeft 

middle left

AnchorMiddleCenter 

middle center

AnchorMiddleRight 

middle right

AnchorBottomLeft 

bottom left

AnchorBottomCenter 

bottom center

AnchorBottomRight 

bottom right

Represents orientation of annotation.

Enumerator
OrientationHorizontal 

horizontal

OrientationVertical 

vertical

Member Function Documentation

void NXOpen::AME::SymbolAnnotationBuilder::AddCheckedAttribute ( const NXString propertyName,
NXOpen::NXObject propertyReference 
)

Add the checked attribute.


Created in NX12.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
propertyNamepropertyname
propertyReferencepropertyreference
void NXOpen::AME::SymbolAnnotationBuilder::AddCheckedAttribute ( const char *  propertyName,
NXOpen::NXObject propertyReference 
)

Add the checked attribute.


Created in NX12.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
propertyNamepropertyname
propertyReferencepropertyreference
NXOpen::Point2d NXOpen::AME::SymbolAnnotationBuilder::AnchorPointLocation ( )

Returns the symbol anchor point
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

void NXOpen::AME::SymbolAnnotationBuilder::ResetPropertyList ( )

Reset the property list.


Created in NX12.0.0.

License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

void NXOpen::AME::SymbolAnnotationBuilder::SetSymbolAnnotationAnchor ( NXOpen::AME::SymbolAnnotationBuilder::Anchor  anchor)

Sets the anchor
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
anchoranchor
void NXOpen::AME::SymbolAnnotationBuilder::SetSymbolAnnotationOrientation ( NXOpen::AME::SymbolAnnotationBuilder::Orientation  orientation)

Sets the orientation
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
orientationorientation
void NXOpen::AME::SymbolAnnotationBuilder::SetSymbolAnnotationPoint ( const NXOpen::Point2d symbolAnnotationPoint)

Sets the symbol annotation point
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
symbolAnnotationPointsymbolannotationpoint
NXOpen::AME::SymbolAnnotationBuilder::Anchor NXOpen::AME::SymbolAnnotationBuilder::SymbolAnnotationAnchor ( )

Returns the anchor
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::SymbolAnnotationBuilder::Orientation NXOpen::AME::SymbolAnnotationBuilder::SymbolAnnotationOrientation ( )

Returns the orientation
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::Point2d NXOpen::AME::SymbolAnnotationBuilder::SymbolAnnotationPoint ( )

Returns the symbol annotation point
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.